length.Galgo {galgo} | R Documentation

## Gets the number of populations defined in the Galgo object

### Description

Gets the number of populations defined in the Galgo object.

### Usage

    ## S3 method for class 'Galgo'
    length(x, ...)

### Value

A numeric value representing the number of populations in the Galgo object.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Galgo`. `length.Niche`, `length.World`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      ni <- Niche(chromosomes = newRandomCollection(cr, 10))
      wo <- World(niches=newRandomCollection(ni,2))

      ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
                  callBackFunc=plot,
                  fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))
      length(ga) ## 1

[Package galgo version 1.4 Index]